Welcome to PhantomPilots.com

Sign up for a weekly email of the latest drone news & information

Phantom 3a

Discussion in 'Pro/Adv Discussion' started by Harvey72, Jan 18, 2016.

  1. Harvey72

    Joined:
    Jan 16, 2016
    Messages:
    13
    Likes Received:
    0
    Hey guys. Newbie here needing some advice. I am getting my new drone tomorrow and have been reading all about the geocache stuff on the new firmware. I am about 4 miles from a small airport and the fAA app says I need permission. Can I just download an older version to the drone? I think 1.4 is the oldest on the site. Any suggestions would be greatly appreciated


    Sent from my iPhone using PhantomPilots mobile app
     
  2. msinger

    Approved Vendor

    Joined:
    Oct 30, 2014
    Messages:
    18,813
    Likes Received:
    5,540
    Location:
    US
    I'd wait and see what's installed before worrying about trying to roll back.
     
  3. Dirty Bird

    Joined:
    Apr 15, 2014
    Messages:
    0
    Likes Received:
    7
    Location:
    Glen Burnie, MD - USA
    My Advice is install the App to your device but DO NOT UPDATE before your first flights. Note what firmware is on your Advanced from the factory. Run an IMU calibration & RC calibration from the Go app. Make sure you are all read up & familiar with the aircraft & app controls & have your app set up properly. Perform a compass calibration at your fly site when you are ready to make your first flight.

    Pay close attention to how she performs during those initial flights so you have a basis for comparison should you chose to update later. Not sure what FW will be on your bird from the factory? If it is 1.3 or 1.4 you are good. If it comes with 1.5 you will want to get off of that version immediately. Were it me I would back up to 1.4. Only go to 1.6 if you are ready to accept the GEO annoyance & reduced performance to overcome battery issues of 1.5.
     
  4. FiveOh

    Joined:
    Jan 11, 2016
    Messages:
    63
    Likes Received:
    21
    Good advice I think ^. I got my P3A two weeks ago and am still running 1.3.2. Running good so far...
     
  5. Harvey72

    Joined:
    Jan 16, 2016
    Messages:
    13
    Likes Received:
    0
    Thanks dirty bird. I totally appreciate the information. I will check it out tomorrow and see what version it's shipped with. I think I have a lot of reading ahead of me!!! Happy Flying


    Sent from my iPhone using PhantomPilots mobile app
     
  6. Dirty Bird

    Joined:
    Apr 15, 2014
    Messages:
    0
    Likes Received:
    7
    Location:
    Glen Burnie, MD - USA
    Cool beans. Looking forward to your first flight videos.

     
  7. alokbhargava

    Joined:
    Sep 28, 2015
    Messages:
    5,064
    Likes Received:
    1,627
    Location:
    San Francisco, CA
    If he installs DJI Go App now, it will be the latest (2.5.1) and it will get geo data
     
  8. Dirty Bird

    Joined:
    Apr 15, 2014
    Messages:
    0
    Likes Received:
    7
    Location:
    Glen Burnie, MD - USA
    Are you running Android or iOS?


     
  9. Harvey72

    Joined:
    Jan 16, 2016
    Messages:
    13
    Likes Received:
    0
    iOS


    Sent from my iPhone using PhantomPilots mobile app
     
  10. FiveOh

    Joined:
    Jan 11, 2016
    Messages:
    63
    Likes Received:
    21
    I have the latest DJI Go App and it does NOT use the new geo data on 1.3.
     
  11. Dirty Bird

    Joined:
    Apr 15, 2014
    Messages:
    0
    Likes Received:
    7
    Location:
    Glen Burnie, MD - USA
    I was kinda wondering about that. I think I would still be disabling auto-update on the app. ;)

     
  12. Dirty Bird

    Joined:
    Apr 15, 2014
    Messages:
    0
    Likes Received:
    7
    Location:
    Glen Burnie, MD - USA
    Unfortunately I run Android so I'm not familiar with iOS app protocols. On Android I would suggest an older app version in the 2.4.0-2.4.3 range. Not sure if you can do that with iOS?

     
  13. Harvey72

    Joined:
    Jan 16, 2016
    Messages:
    13
    Likes Received:
    0
    Good to know FiveOh. I will definitely disable auto updates. So you have the latest DJI go app and your bird has 1.3 with no issues?? So I assume I update the bird via an SD card and just turn off updates on the go app??? Sorry if I sound ignorant. I am just getting my feet wet


    Sent from my iPhone using PhantomPilots mobile app
     
  14. FiveOh

    Joined:
    Jan 11, 2016
    Messages:
    63
    Likes Received:
    21
    It's more difficult with IOS, unfortunately. Can't get older versions from the app store. It is still possible if you have an older version backed up somewhere, though. It is possible to NOT accept new updates.
     
  15. FiveOh

    Joined:
    Jan 11, 2016
    Messages:
    63
    Likes Received:
    21
    Yes, everything is working flawlessly so far (except maybe one battery I'm concerned about). I almost updated firmware immediately out of the box, but saw several experienced pilots advised against it. Their explanations seemed reasonable, so I'm going to stay here for awhile to get acquainted with my bird. Don't update the phantom with the SD card until you are ready. (Unless you find out it shipped with 1.5).
     
  16. Harvey72

    Joined:
    Jan 16, 2016
    Messages:
    13
    Likes Received:
    0
    Yea the latest app is 2.5.1 on my iPhone. Would I be better off getting a cheap android tablet instead of dealing with geocache ?


    Sent from my iPhone using PhantomPilots mobile app
     
  17. FiveOh

    Joined:
    Jan 11, 2016
    Messages:
    63
    Likes Received:
    21
    You won't have to worry about it with 1.3. My experience anyway. I flew last week about 3 miles from an airfield that shows up as an authorization zone on DJI's website (after making notification to the tower and management) and had no authorization issues or popups in the app. I would wait before worrying.
     
  18. Harvey72

    Joined:
    Jan 16, 2016
    Messages:
    13
    Likes Received:
    0
    Thanks Five & Dirty. Appreciate the info. I'll ping you if that's cool when the bird arrives


    Sent from my iPhone using PhantomPilots mobile app
     
  19. Harvey72

    Joined:
    Jan 16, 2016
    Messages:
    13
    Likes Received:
    0
    Hey guys. Looks like I have version 1.4 on the bird. Can you tell
    Me where I change the auto update. So I can keep it at version 1.4. Thanks again


    Sent from my iPhone using PhantomPilots mobile app
     
  20. FiveOh

    Joined:
    Jan 11, 2016
    Messages:
    63
    Likes Received:
    21
    Your aircraft won't auto update. Only the app will (if your settings allow it). Good luck!